using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("VideoRecordings")]
    public class VideoRecording
    {
        [Column("CreatedOn")]
        public DateTime? CreatedOn { get; set; }

        [Column("LocationType")]
        public string? LocationType { get; set; }

        [Column("Metadata")]
        public string? Metadata { get; set; }

        [Column("Path")]
        public string? Path { get; set; }

        [ForeignKey("VideoConferenceScheduleID")]
        public LawyerVideoConferenceSchedule VideoConferenceSchedule { get; set; }

        [Column("VideoConferenceScheduleID")]
        public int VideoConferenceScheduleID { get; set; }

        [Column("VideoRecording_UID")]
        public Guid? VideoRecording_UID { get; set; }

        [Column("VideoRecordingID")]
        public int VideoRecordingID { get; set; }
    }
}